/* ---------------------------------
Simple:Press
TinyMCE Editor Plugin Javascript
------------------------------------ */

/* ---------------------------------------------
   Open the dropdown editor area
--------------------------------------------- */
function spjEdOpenEditor(formType) {
    tinyMCE.EditorManager.execCommand('mceAddControl', false, 'postitem');

	if (formType == 'topic') {
		document.addtopic.spTopicTitle.focus();
	}

    jQuery('#postitem').on("closed", function(event, ui) {
        tinyMCE.EditorManager.execCommand('mceAddControl', false, 'postitem');
    });
}

/* ---------------------------------------------
   Cancels editor - removes any content
--------------------------------------------- */
function spjEdCancelEditor() {
    tinyMCE.EditorManager.execCommand('mceRemoveControl', false, 'postitem');

    tinymce.activeEditor.setContent('');

	jQuery('#spPostNotifications').html('');
	jQuery('#spPostNotifications').hide();

	if (document.getElementById('previewPost') != 'undefined') {
		jQuery('#previewPost').html('');
	}

	spjToggleLayer('spPostForm');
}

/* ---------------------------------------------
   Insert content as Quote
--------------------------------------------- */

function spjEdInsertContent(intro, content) {
    function nl2br(str) {return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + '<br ' + '/>' + '$2');}

    tinymce.activeEditor.insertContent('<blockquote><strong>' + intro + '</strong><br />' + nl2br(content) + '</blockquote><br />');
}

/* ---------------------------------------------
   Insert a Smiley
--------------------------------------------- */
function spjEdInsertSmiley(file, title, path, code) {
    tinymce.activeEditor.insertContent('<img src="'+path+file+'" title="'+title+'" alt="'+title+'" />');
}

/* ---------------------------------------------
   Insert an Attachment
--------------------------------------------- */
function spjEdInsertAttachment(file, title, path, item, width, height) {
    var html = '<img src="'+path+file+'" title="'+title+'" alt="'+title+'"';
    if (width != '') {
        html = html + ' width="'+width+'"';
    }
    if (height != '') {
        html = html + ' height="'+height+'"';
        html = html + ' />';
    }
    html = html + '<p></p>';

    tinymce.activeEditor.insertContent(html);
}

function spjEdInsertMediaAttachment(file, path, width, height) {
    var audio = new Array('aac', 'ac3',  'aif',  'aiff', 'm3a',  'm4a',   'm4b',  'mka',  'mp1',  'mp2',  'mp3', 'ogg', 'oga', 'ram', 'wav', 'wma');
	var video = new Array('asf', 'avi',  'divx', 'dv',   'flv',  'm4v',   'mkv',  'mov',  'mp4',  'mpeg', 'mpg', 'mpv', 'ogm', 'ogv', 'qt',  'rm', 'vob', 'wmv');

    ext = file.split('.').pop();
    if (jQuery.inArray(ext, audio) != -1) {
        html = "<audio controls=\"controls\" src=\"" + path + file + "\"></audio>";
        html = html + '<p></p>';
    } else if (jQuery.inArray(ext, video) != -1) {
    	html = "<video width=\"" + width + "\" height=\"" + height + "\" controls=\"controls\" src=\"" + path + file + "\"></video>";
        html = html + '<p></p>';
    } else {
        html = '';
    }

    if (html != '') tinymce.activeEditor.insertContent(html);
}

/* ---------------------------------------------
   Insert text
--------------------------------------------- */
function spjEdInsertText(text) {
    tinymce.activeEditor.insertContent(text);
}

/* ---------------------------------------------
   Get the current content of the editor
--------------------------------------------- */
function spjEdGetEditorContent(theForm) {
    var content = tinymce.activeEditor.getContent();
    return content;
}

/* ---------------------------------------------
   Validate editor content for known failures
--------------------------------------------- */
function spjEdValidateContent(thisField, errorMsg) {
   	var error = '';
	var stuff = tinyMCE.get(thisField.name).getContent();
	if (stuff === '') {
		error = '<strong>' + errorMsg + '</strong><br />';
	}
   	return error;
}
